API ReferenceDocument Analysis
Submit a new batch of documents for processing
Submit a new batch of documents for processing. For more information, see: Processing Documents Guide.
x-api-key<token>
In: header
Scope: api_key
documentsarray<DocumentDTO>
The documents to create a batch with
typestring
The type of submission you are performing. Only Base64 inline content is supported. fileUrl upload is no longer supported.
countryCode?string
Country code for document processing. Only New Zealand (NZL) is supported. Defaults to NZL.
Value in
"NZL"batchId?string
An optional batchId for your own reconciliation.
meta?object
An optional meta object for your own reconciliation.
Empty Object
Response Body
curl -X POST "https://api.aws-au.carbonapi.io/document/batch" \ -H "Content-Type: application/json" \ -d '{ "documents": [ { "content": "JVBERi0xLjQ=", "contentType": "application/pdf" } ], "type": "base64" }'{
"batchId": "11111111-1111-1111-1111-111111111111"
}